Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.tagext
Class TagData

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagData

All Implemented Interfaces:
  java.lang.Cloneable

public class TagData
extends java.lang.Object
implements java.lang.Cloneable

Tag instance attributes and values. This information is used by TagExtraInfo to prepare VariableInfo.

Field Summary
`static java.lang.Object` | `REQUEST_TIME_VALUE` Constant object used as a key for request time attributes.

Constructor Summary
`TagData(java.util.Hashtable attrs)` Create a new TagData object based on an attribute key/value hash table.
`TagData(java.lang.Object[][] attrs)` Create a new TagData object based on and array of attribute key/values.

Method Summary
`java.lang.Object` | `clone()` Clone the tag data.
`java.lang.Object` | `getAttribute(java.lang.String attribute)` Returns the attribute with the given name.
`java.lang.String` | `getAttributeString(java.lang.String name)` Return the attribute as a string.
`java.lang.String` | `getId()` Return the id of the attribute as a string.
`void` | `setAttribute(java.lang.String attribute, java.lang.Object value)` Sets the attribute with the given name.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_TIME_VALUE

    public static final java.lang.Object REQUEST_TIME_VALUE

  Constant object used as a key for request time attributes.

Constructor Detail

### TagData

    public TagData(java.util.Hashtable attrs)

  Create a new TagData object based on an attribute key/value hash table.

### TagData

    public TagData(java.lang.Object[][] attrs)

  Create a new TagData object based on and array of attribute key/values.

Method Detail

### getAttribute

    public java.lang.Object getAttribute(java.lang.String attribute)

  Returns the attribute with the given name.

### setAttribute

    public void setAttribute(java.lang.String attribute,
                             java.lang.Object value)

  Sets the attribute with the given name.

### getAttributeString

    public java.lang.String getAttributeString(java.lang.String name)

  Return the attribute as a string.

### getId

    public java.lang.String getId()

  Return the id of the attribute as a string.

### clone

    public java.lang.Object clone()

  Clone the tag data.
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD